
<script>
require([
    'jquery',
    'prototype',
], function(jQuery){
    function syncronize() {
    	jQuery('body').trigger('processStart');
        params = {
        };

        new Ajax.Request('<?php /* @escapeNotVerified */ echo $block->getAjaxSyncUrl() ?>', {
            loaderArea:     false,
            asynchronous:   true,
            parameters:     params,
            showLoader: 	true,
            onSuccess: function(transport) {
                //var response = JSON.parse(transport.responseText);
                setLocation();
            },
		    error: function() { // if error occured
                setLocation();
		    },
		    complete: function() {
		    	jQuery('body').trigger('processStop');
		    }
        });
    }

    jQuery('#productsync_button').click(function () {
        syncronize();
    });
});
</script>


<div data-mage-init='{"loader": {}}' class="pp-buttons-container">
    <button id="<?php echo $block->getId() ?>" onclick="return false;">
        <span><span><span><?php echo $block->escapeHtml($block->getButtonLabel()); ?></span></span></span>
    </button>
</div>